package com.intland.codebeamer.functionaltest.page;

import com.codeborne.selenide.SelenideElement;

import static com.codeborne.selenide.Selectors.byValue;
import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.$$;

/**
* Copyright by Intland Software
*
* All rights reserved.
*
* This software is the confidential and proprietary information
* of Intland Software. ("Confidential Information"). You
* shall not disclose such Confidential Information and shall use
* it only in accordance with the terms of the license agreement
* you entered into with Intland.
*/

public class ProjectComponentsPage extends BasePage{

    public void tickAllCheckBoxes(boolean isSelected){
        for (SelenideElement e : $$(".contentWithMargins input[type='checkbox']")){
            e.setSelected(isSelected);
        }
    }

    public void clickOnNext() {
        $(byValue("Next")).click();
    }
}
